首页 新闻 搜索 专区 学院

flunetd+mongo日志收集的时候出现的错误

0
悬赏园豆:10 [已关闭问题] 关闭于 2015-12-22 22:44

高手好,这段时间学些日志有关的信息,搭建了fluentd+mongo,fluentd启动的时候出现了
  2015-12-20 19:21:38 -0500 [error]: Permission denied @ rb_sysopen - /var/named/chroot/var/named/named.log
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:555:in `initialize'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:555:in `open'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:555:in `on_notify'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:345:in `on_notify'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:328:in `attach'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:136:in `setup_watcher'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:154:in `block in start_watchers'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:141:in `each'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:141:in `start_watchers'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:131:in `refresh_watchers'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:85:in `start'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/root_agent.rb:111:in `block in start'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/root_agent.rb:110:in `each'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/root_agent.rb:110:in `start'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/engine.rb:201:in `start'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/engine.rb:151:in `run'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:539:in `run_engine'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:143:in `block in start'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:306:in `call'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:306:in `main_process'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:281:in `block in supervise'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:280:in `fork'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:280:in `supervise'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/supervisor.rb:137:in `start'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/command/fluentd.rb:167:in `<top (required)>'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:73:in `require'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:73:in `require'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/bin/fluentd:6:in `<top (required)>'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/bin/fluentd:23:in `load'
  2015-12-20 19:21:38 -0500 [error]: /opt/td-agent/embedded/bin/fluentd:23:in `<top (required)>'
  2015-12-20 19:21:38 -0500 [error]: /usr/sbin/td-agent:7:in `load'
  2015-12-20 19:21:38 -0500 [error]: /usr/sbin/td-agent:7:in `<main>'
2015-12-20 19:21:39 -0500 [error]: Permission denied @ rb_sysopen - /var/named/chroot/var/named/named.log
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:555:in `initialize'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:555:in `open'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:555:in `on_notify'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:345:in `on_notify'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:432:in `call'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:432:in `on_timer'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/cool.io-1.3.0/lib/cool.io/loop.rb:88:in `run_once'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/cool.io-1.3.0/lib/cool.io/loop.rb:88:in `run'
  2015-12-20 19:21:39 -0500 [error]: /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/fluentd-0.12.12/lib/fluent/plugin/in_tail.rb:215:in `run'
2015-12-20 19:21:40 -0500 [error]: Permission denied @ rb_sysopen - /var/named/chroot/var/named/named.log
  2015-12-20 19:21:40 -0500 [error]: suppressed same stacktrace
2015-12-20 19:21:41 -0500 [error]: Permission denied @ rb_sysopen - /var/named/chroot/var/named/named.log
  2015-12-20 19:21:41 -0500 [error]: suppressed same stacktrace
2015-12-20 19:21:42 -0500 [error]: Permission denied @ rb_sysopen - /var/named/chroot/var/named/named.log
  2015-12-20 19:21:42 -0500 [error]: suppressed same stacktrace
日志文件是个独立文件(就是copy出来随便放在别的目录下面)的时候不会出现这个错误,日志实时更新的时候出现了这个错误,我看日志文件其他用户也有读取的权限,请教下是什么问题呢?谢谢,

welyou的主页 welyou | 初学一级 | 园豆:193
提问于:2015-12-21 08:44
< >
分享
所有回答(1)
0

你好,请问这个问题解决了么,最近也遇到了

chenxinle | 园豆:202 (菜鸟二级) | 2018-01-09 17:53
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册